petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatCreateLocalRef

Gets a logical reference to a local submatrix, for use in assembly

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatCreateLocalRef(Mat A,IS isrow,IS iscol,Mat *newmat)

Not Collective Many br

### Input Arguments

| A | - Full matrix, generally parallel Many br
| isrow | - Local index set for the rows Many br
| iscol | - Local index set for the columns Many br

### Output Arguments

newmat -New serial Mat Many br

Many br

### Notes

Most will use MatGetLocalSubMatrix() which returns a real matrix corresponding to the local Many brblock if it available, such as with matrix formats that store these blocks separately. Many br

The new matrix forwards MatSetValuesLocal() and MatSetValuesBlockedLocal() to the global system. Many brIn general, it does not define MatMult() or any other functions. Local submatrices can be nested. Many br

### See Also

MatSetValuesLocal(), MatSetValuesBlockedLocal(), MatGetLocalSubMatrix(), MatCreateSubMatrix()

Level:developer
Location:src/mat/impls/localref/mlocalref.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages